/**
 * 组织联系信息
 *
 * @export
 * @interface HROrgContact
 */
export interface HROrgContact {

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    createman?: any;

    /**
     * 组织联系信息标识
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    hrorgcontactid?: any;

    /**
     * 联系人
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    hrorgcontactname?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    updatedate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    updateman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    createdate?: any;

    /**
     * 类型
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    contacttype?: any;

    /**
     * 联系信息
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    contactinfo?: any;

    /**
     * 主要
     *
     * @returns {*}
     * @memberof HROrgContact
     */
    maincontact?: any;
}